instagram 02
15 个接口
GETfetch user about info
GET https://dkai.store/api/v1/instagram/v1/fetch_user_about_info1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_about_info?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info by id
GET https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_id1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_id?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info by id v2
GET https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_id_v21 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_id_v2?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info by username
GET https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_username1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_username?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info by username v2
GET https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_username_v21 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_username_v2?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info by username v3
GET https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_username_v31 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_info_by_username_v3?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user posts
GET https://dkai.store/api/v1/instagram/v1/fetch_user_posts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_posts?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user posts v2
GET https://dkai.store/api/v1/instagram/v1/fetch_user_posts_v21 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_posts_v2?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user reels
GET https://dkai.store/api/v1/instagram/v1/fetch_user_reels1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_reels?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user reposts
GET https://dkai.store/api/v1/instagram/v1/fetch_user_reposts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_reposts?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user tagged posts
GET https://dkai.store/api/v1/instagram/v1/fetch_user_tagged_posts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/fetch_user_tagged_posts?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETmedia id to shortcode
GET https://dkai.store/api/v1/instagram/v1/media_id_to_shortcode1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
media_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/media_id_to_shortcode?media_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETshortcode to media id
GET https://dkai.store/api/v1/instagram/v1/shortcode_to_media_id1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
shortcode | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/shortcode_to_media_id?shortcode=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETuser id to username
GET https://dkai.store/api/v1/instagram/v1/user_id_to_username1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v1/user_id_to_username?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch comment replies
GET https://dkai.store/api/v1/instagram/v2/fetch_comment_replies2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
code_or_url | query | 必填 | |
comment_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_comment_replies?code_or_url=VALUE&comment_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。